Package relaxngcc.parser

## Class ParserRuntime

- java.lang.Object
- - relaxngcc.parser.state.NGCCRuntime
  - - relaxngcc.parser.ParserRuntime

- All Implemented Interfaces:
    `org.xml.sax.ContentHandler`, `NGCCEventSource`
  Direct Known Subclasses:
    `IncludeParserRuntime`, `RootParserRuntime`

      public abstract class ParserRuntime
      extends NGCCRuntime

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Grammar` | `grammar` | Grammar object that we are currently building.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addError​(BuildError err)` |
    `org.xml.sax.Locator` | `createLocator()` |
    `void` | `endElement​(java.lang.String uri, java.lang.String local, java.lang.String qname)` |
    `Datatype` | `getDatatype​(java.lang.String name)` | Gets the current datatype library.
    `abstract RootParserRuntime` | `getRootRuntime()` | Gets the reference to the root runtime.
    `java.lang.String` | `getTargetNamespace()` | Gets the value of the current "ns".
    `java.util.Iterator` | `iterateErrors()` |
    `void` | `parse​(java.lang.String source)` | Parses a document with this runtime.
    `NameClass` | `parseSimpleName​(java.lang.String qname, boolean attributeMode)` | Parses a QName into a SimpleNameClass.
    `void` | `processInclude​(java.lang.String href)` | Processes the <include> element.
    `void` | `startElement​(java.lang.String uri, java.lang.String local, java.lang.String qname, org.xml.sax.Attributes atts)` |

    - ### Methods inherited from class relaxngcc.parser.state.NGCCRuntime

      `characters, consumeAttribute, endDocument, endPrefixMapping, getAttributeIndex, getCurrentAttributes, getLocator, ignorableWhitespace, onEnterElementConsumed, onLeaveElementConsumed, processingInstruction, processList, redirectSubtree, replace, reset, resolveNamespacePrefix, sendEnterAttribute, sendEnterElement, sendLeaveAttribute, sendLeaveElement, sendText, setDocumentLocator, setRootHandler, skippedEntity, startDocument, startPrefixMapping, trace, traceln`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### grammar

          public Grammar grammar

      Grammar object that we are currently building.

  - ### Method Detail

    - #### parse

          public void parse​(java.lang.String source)
                     throws org.xml.sax.SAXException

      Parses a document with this runtime.
      Throws:
        `org.xml.sax.SAXException`

    - #### parseSimpleName

          public NameClass parseSimpleName​(java.lang.String qname,
                                           boolean attributeMode)

      Parses a QName into a SimpleNameClass.

    - #### processInclude

          public void processInclude​(java.lang.String href)
                              throws org.xml.sax.SAXException

      Processes the <include> element.
      Throws:
        `org.xml.sax.SAXException`

    - #### getRootRuntime

          public abstract RootParserRuntime getRootRuntime()

      Gets the reference to the root runtime.

    - #### getTargetNamespace

          public java.lang.String getTargetNamespace()

      Gets the value of the current "ns".

    - #### getDatatype

          public Datatype getDatatype​(java.lang.String name)

      Gets the current datatype library.

    - #### createLocator

          public org.xml.sax.Locator createLocator()

    - #### startElement

          public void startElement​(java.lang.String uri,
                                   java.lang.String local,
                                   java.lang.String qname,
                                   org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `NGCCRuntime`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement​(java.lang.String uri,
                                 java.lang.String local,
                                 java.lang.String qname)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `NGCCRuntime`
      Throws:
        `org.xml.sax.SAXException`

    - #### addError

          public void addError​(BuildError err)

    - #### iterateErrors

          public java.util.Iterator iterateErrors()